Subject: Re: bug#24193: 25.1; `window-min-size' fails for horizontal width when margins >= body text

From: Paul Rankin <[email-masked]>
Date: Sun, 14 Aug 2016 15:24:06 +1000

martin rudalics <[email-masked]> on Tue, 09 Aug 2016 18:08 +0200:
> I supoose you have designed a mode to auto-adjust margins so that text
> appears centered in a window.  You can add the following function
> 
> (defun split-window-right-ignore (&optional size)
>    (if (car size) size (list (/ (window-total-width) 2))))
> 
> and use
> 
> (add-function
>   :filter-args (symbol-function 'split-window-right) #'split-window-right-ignore)
> 
> when activating your mode and
> 
> (remove-function
>   (symbol-function 'split-window-right) #'split-window-right-ignore)
> 
> when deactivating it.

Many thanks, this is helpful. Although I think patching C-x 3 is not the right solution.

I'd like to find a solution that fixes window-min-size for everyone, including those who use Emacs to write prose.